const OracleService = require('../service/OracleService');
const axios = require('axios');

class MonitoringController {
  execCommand(command, params) {
    command = `/* === EXECUTED BY ODHEN ASSISTANT === */ \n ${command}`;
    return OracleService.execute(command, params).then((data) => {
      return {
        rows: data.rows,
        metaData: data.metaData
      };
    });
  }

  execHttpRequest(url) {
    return axios.get(url, {}, { timeout: 10000 }).then(() => {
      //Tratamento para considerar o monitoramento como sucesso
      return { rows: [] };
    });
  }
}

module.exports = new MonitoringController();
