const OracleService = require('../service/OracleService');

class acmUpSaldoModel {
  constructor() {
    this.GET_DASHBOARDFILIAIS = `
    SELECT *
    FROM (SELECT a.*, ROWNUM AS rnum
          FROM (SELECT F.CDFILIAL, F.NMFILIAL, F.NRORG,
                       (SELECT COUNT(1)
                        FROM CAIXA C
                        WHERE C.CDFILIAL = F.CDFILIAL
                          AND C.IDTPEMISSAOFOS = 'SAT') AS SAT
                  FROM FILIAL F
                 WHERE UPPER(F.NMFILIAL) NOT LIKE '%INAT%'
                 GROUP BY F.CDFILIAL, F.NMFILIAL, F.NRORG
                 ORDER BY F.CDFILIAL) a
          WHERE ROWNUM <= :MAX_ROW)
    WHERE rnum >= :MIN_ROW
    `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_DASHBOARDFILIAIS, params);
    });
  }
}

module.exports = new acmUpSaldoModel();
