const OracleService = require('../service/OracleService');

class adqVerifTotalDiaCaixaModel {
  constructor() {
    this.GET_ADQVERIFTOTALDIACAIXA = `
            SELECT *
              FROM TOTALDIACAIXA
             WHERE CDFILIAL = :P_CDFILIAL
               AND CDCAIXA = :P_CDCAIXA
               AND DTTOTAL = TIMESTAMP :P_DTTOTAL
        `;
  }
  get(params) {
    return OracleService.connect().then((sql) => {
      return OracleService.execute(this.GET_ADQVERIFTOTALDIACAIXA, params);
    });
  }
}

module.exports = new adqVerifTotalDiaCaixaModel();
